Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.message
Class BasicRequestLine

    java.lang.Object
      org.apache.http.message.BasicRequestLine

All Implemented Interfaces:
  Serializable, Cloneable, RequestLine

    @Contract(threading=IMMUTABLE)
    public class BasicRequestLine

extends Object
implements RequestLine, Cloneable, Serializable

Basic implementation of `RequestLine`.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`BasicRequestLine(String method, String uri, ProtocolVersion version)`

Method Summary
`Object` | `clone()`
`String` | `getMethod()`
`ProtocolVersion` | `getProtocolVersion()`
`String` | `getUri()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicRequestLine

    public BasicRequestLine(String method,
                            String uri,
                            ProtocolVersion version)

Method Detail

### getMethod

    public String getMethod()

  Specified by:
    `getMethod` in interface `RequestLine`

### getProtocolVersion

    public ProtocolVersion getProtocolVersion()

  Specified by:
    `getProtocolVersion` in interface `RequestLine`

### getUri

    public String getUri()

  Specified by:
    `getUri` in interface `RequestLine`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.